# Poco

# class ScopedFStreamReadRWLock

Library: Foundation
Package: Processes
Header: Poco/FileStreamRWLock.h

## Description

A variant of ScopedLock for reader locks.

## Inheritance

Direct Base Classes: ScopedFStreamRWLock

All Base Classes: ScopedFStreamRWLock

## Constructors

### ScopedFStreamReadRWLock

ScopedFStreamReadRWLock(
FileStreamRWLock & rwl
);

## Destructor

### ~ScopedFStreamReadRWLock

~ScopedFStreamReadRWLock();